<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Từ ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
        [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.fromDate' | translate }},
        { errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'staffManager.table.fromDate' | translate, 'toDate': 'staffManager.table.toDate' | translate}}
        ]"
        mbPlaceholderText="{{'staffManager.table.fromDate' | translate}}"
        mbLabelText="{{'staffManager.table.fromDate' | translate}} <span class='label__required'>*</span>"
        formControlName="fromDate"></mb-date-picker>
    </div>

    <!-- Đến ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.toDate' | translate}}"
        mbLabelText="{{'staffManager.table.toDate' | translate}}"
        formControlName="toDate"></mb-date-picker>
    </div>

    <!--    Loại phụ cấp-->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listAllowanceType"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['allowanceTypeCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['allowanceTypeCode'].errors !== null"
                 [mbErrors]="form.controls['allowanceTypeCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.allowanceType' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.allowanceType' | translate}}"
                 mbLabelText="{{'staffManager.table.allowanceType' | translate}} <span class='label__required'>*</span>"
                 formControlName="allowanceTypeCode"></mb-select>
    </div>

    <!--    Mức hưởng-->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        appNumberInput
        [mbMaxLength]="20"
        [mbType]="isSubmitted && form.controls['amountMoney'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['amountMoney'].errors !== null"
        [mbErrors]="form.controls['amountMoney'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.benefitRate' | translate }}]"
        mbSuffixTemplate="VNĐ"
        mbPlaceholderText="{{'staffManager.table.benefitRate' | translate}}"
        mbLabelText="{{'staffManager.table.benefitRate' | translate}} <span class='label__required'>*</span>"
        formControlName="amountMoney"></mb-input-text>
    </div>

<!--    Ghi chú-->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     [mbMaxLength]="500"
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' }}]"
                     mbPlaceholderText="{{'staffManager.label.note' | translate}}"
                     mbLabelText="{{'staffManager.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
  </div>
</form>
